import request from '/@/utils/request';

export function contractorApi() {
    return {
        getContractorList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/list`,
                method: 'post',
                data: data
            });
        },
        addContractor: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor`,
                method: 'post',
                data: data
            });
        },
        delContractor: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/del`,
                method: 'post',
                data: data
            });
        },
        getContractorUserList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user/list`,
                method: 'post',
                data: data
            });
        },
        addContractorUser: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user`,
                method: 'post',
                data: data
            });
        },
        delContractorUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user/del`,
                method: 'post',
                data: data
            });
        },
        getContractorEnterList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user/enter/list`,
                method: 'post',
                data: data
            });
        },
        addContractorEnter: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user/enter`,
                method: 'post',
                data: data
            });
        },
        delContractorEnter: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/user/enter/del`,
                method: 'post',
                data: data
            });
        },
        getProjectInfoList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/project/list`,
                method: 'post',
                data: data
            });
        },
        addProjectInfo: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/project`,
                method: 'post',
                data: data
            });
        },
        delProjectInfo: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/project/del`,
                method: 'post',
                data: data
            });
        },
        getKeyUserInfoList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel/list`,
                method: 'post',
                data: data
            });
        },
        addKeyUserInfo: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel`,
                method: 'post',
                data: data
            });
        },
        delKeyUserInfo: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel/del`,
                method: 'post',
                data: data
            });
        },
        getUserCertInfoList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel/cert/list`,
                method: 'post',
                data: data
            });
        },
        addUserCertInfo: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel/cert`,
                method: 'post',
                data: data
            });
        },
        delUserCertInfo: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/contractor/key/personnel/cert/del`,
                method: 'post',
                data: data
            });
        }
    };
}
